Bug 443217 - redundant encryption checkbox?
redundant encryption checkbox?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
: Reopened, StringChange
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-04-19 06:56 EDT by Patrick C. F. Ernzer
Modified: 2009-04-16 13:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-16 13:27:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2008-04-19 06:56:35 EDT
Description of problem:
In F9 Preview I get the impression that there are redundant checkboxes for
encryption.


Version-Release number of selected component (if applicable):
Fedora 9 Preview

How reproducible:
always

Steps to Reproduce:
1. boot into installer
   I boot via PXE and use only IPv4, but that should not matter here
2. select 'Encrypt system' in the partitioning dialog
3. select 'Review and modify partitioning layout'
4. click 'Next'
5. set encryption password
6. edit the default VG
7. edit or add an LV
  
Actual results:
there is an 'Encrypt' checkbox

Expected results:
Lets not confuse the user

Additional info:
I guess the second checkbox will encrypt the LV while the first encrypts the PV
but we should at least pop up a dialog saying so.

Suggested text:
You have elected to encrypt this Logical Volume while you also selected to
encrypt the whole Physical Volume. Are you sure you want to encrypt twice?"
Comment 1 Jeremy Katz 2008-04-21 19:42:10 EDT
Maybe redundant, but it _can_ be done.  Unfortunately, we can't add new dialogs
at this point (post string freeze), but I'll stick it on the list for F10
Comment 2 Bug Zapper 2008-05-14 05:43:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jeremy Katz 2008-06-02 17:49:50 EDT
This should be doable for F10, no need to defer
Comment 4 David Lehman 2008-09-30 15:44:08 EDT
I don't see what we should be doing here. It is possible to encrypt PVs and/or LVs. Do we really want to pop up a question every time the user chooses to do something that they may not fully understand?
Comment 5 Patrick C. F. Ernzer 2008-10-01 07:27:53 EDT
(In reply to comment #4)
> Do we really want to pop up a question every time the user chooses to do
> something that they may not fully understand?

Wether we make a dialog, a text near the checkbox or an entry in the help does not matter, maybe the latter is easier and quicker to do.

Worst case a small note in the release notes, say:
LV/partition encryption; please note that you can encrypt your whole Physical Volume (PV) and Logical Volumes/partitions. While encrypting twice (PV and LV/partition) makes no sense for most users, you have the choice to do so.
Comment 6 David Lehman 2009-04-16 13:27:41 EDT
I think this is marked clearly enough as-is. There is an "Encrypt" checkbox in the "Edit Partition" dialog, which clearly indicates that you will encrypt the partition you are editing/creating (the PV). Then there is an "Encrypt" checkbox in the "Edit Logical Volume" dialog, which, I think, clearly indicates that you will be encrypting the logical volume.

Note You need to log in before you can comment on or make changes to this bug.